#include<iostream>
using namespace std;
void izhod(long long N)
{
    if(N<2){
        cout<<-1;
    }else{
    if(N%2==0){
        for(int i=0;i<N/2;i++){
            cout<<1;
        }
    }else{
        int a=N/2-1;
        cout<<7;
    for(int i=0;i<a;i++){
            cout<<1;
    }
}
    }
}
int main()
{
    long long N=0;
    cin>>N;
    izhod(N);
    cout<<endl;
    return 0;
}

